package OLS;

import org.jfree.chart.ChartPanel;
import org.jfree.chart.JFreeChart;
import org.jfree.chart.plot.PlotOrientation;
import org.jfree.data.xy.XYSeriesCollection;
import org.jfree.chart.ChartFactory;
import javax.swing.*;

public class GraphFrame extends JFrame
{
    public GraphFrame(XYSeriesCollection dataCollection)
    {
        super();

        JFreeChart myChart = ChartFactory.createXYLineChart("My apprx",
                "X",
                "Y",
                dataCollection,
                PlotOrientation.VERTICAL,
                true,
                true,
                false);

        ChartPanel panel = new ChartPanel(myChart);
        panel.setPreferredSize(new java.awt.Dimension(500, 270));
        setContentPane(panel);
    }
}
